import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.util.*;

class Program extends JFrame {
	
	private JLabel label1 = new JLabel("Podaj wyrazenie");
	private JLabel label2 = new JLabel("Wyrazenie po transkrypcji");
	private JTextArea text1 = new JTextArea();
	private JTextArea text2 = new JTextArea();
	private JScrollPane scroll1 = new JScrollPane(text1, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
		JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    private JScrollPane scroll2 = new JScrollPane(text2, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
		JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    private JTextField sciezka = new JTextField("");
	private JButton but = new JButton("transkrypcja");
	private JButton pho = new JButton("twrz plik pho");
	private JButton otworz = new JButton("otwrz");
	private JFileChooser wybor_kat = new JFileChooser();
	private String nazwa = "plik.pho";
	private String str = "";
	private String a = "";
	private String odwrotny_str = "";
	private int licznik = 0;
	private JMenuBar menuBar = new JMenuBar();
	private JMenu wyglad = new JMenu("Wygld");
	private JMenuItem windows = new JMenuItem("Windows");
	private JMenuItem system = new JMenuItem("System");
	private JMenuItem cross = new JMenuItem("Przenosny");
	private JMenuItem unix = new JMenuItem("Unix");
	Program mainf;
	private int odp;
	private int typ_zdania = 0;//0-oznajmujace
							   //1-pytajace
							   //2-wykrzyknienie
	//wartosci do glosek
	private int a1 = 105,
				b1 = 270, 
				a2 = 110, 
				b2 = 280;
	
	public Program()
	{
		addWindowListener(new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				dispose();
				System.exit(0);
			}
		});
		mainf = this;
		wyglad.add(windows);
		wyglad.add(system);
		wyglad.add(cross);
		wyglad.add(unix);
		menuBar.add(wyglad);
		setJMenuBar(menuBar);
		wybor_kat.setFileFilter(
				new Filter("program", "exe")
		);
		text2.setEditable(false);
		//getContentPane().setLayout(new BoxLayout(super.getContentPane(), BoxLayout.Y_AXIS));
		getContentPane().setLayout(null);
		label1.setLocation(0, 0);
		label1.setSize(400, 20);
		//text1.setLocation(0, 20);
		//text1.setSize(400, 180);
		scroll1.setLocation(0, 20);
		scroll1.setSize(new Dimension(400, 180));
    	label2.setLocation(0, 200);
		label2.setSize(400, 20);
		//text2.setLocation(0, 220);
		//text2.setSize(400, 180);
		scroll2.setLocation(0, 220);
		scroll2.setSize(new Dimension(400, 180));
    	but.setLocation(10, 400);
		but.setSize(180, 25);
		pho.setLocation(210, 400);
		pho.setSize(190, 25);
		sciezka.setLocation(0, 425);
		sciezka.setSize(300, 25);
		otworz.setLocation(300, 425);
		otworz.setSize(100, 25);
		//getContentPane().setLayout(new FlowLayout());
		text1.setText("bardzo chciabym zwiedzi holandi nigdy tam nie byem z jakiego \n"+
					  "powodu no z rnych powodw wiem e tam na rowerach si duo \njedzi "+
					  "bardzo jest ten kraj zadbany ludzie dbaj tam o to no po prostu \n"+
					  "chciabym zwiedzi te wiatraki zobaczy wszystko bardzo jest kraj \n"+
					  "adny zadbany no duo jest barw takich rnych no dlatego.");
		text2.setText("tu bedzie wynik");
		getContentPane().add(label1);
		//getContentPane().add(text1);
		getContentPane().add(scroll1);
		getContentPane().add(label2);
		//getContentPane().add(text2);
		getContentPane().add(scroll2);
		getContentPane().add(but);
		getContentPane().add(pho);
		//getContentPane().add(sciezka);
		//getContentPane().add(otworz);
		windows.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					try
					{
					UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
                    SwingUtilities.updateComponentTreeUI(mainf);;
                	}
                	catch(Exception e){}
				}
			});
		system.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					try
					{
					UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                    SwingUtilities.updateComponentTreeUI(mainf);;
                    }
                	catch(Exception e){}
				}
			});
		cross.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					try
					{
				
					UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
                    SwingUtilities.updateComponentTreeUI(mainf);;
                    }
                	catch(Exception e){}
				}
			});
		unix.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					try
					{
				
					UIManager.setLookAndFeel("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
                    SwingUtilities.updateComponentTreeUI(mainf);;
                    }
                	catch(Exception e){}
				}
			});
		otworz.addActionListener
		(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					odp = wybor_kat.showOpenDialog(null);
					if(odp == JFileChooser.APPROVE_OPTION)
					{
						sciezka.setText(wybor_kat.getSelectedFile().getAbsolutePath());
					}
					else if(odp == JFileChooser.CANCEL_OPTION)
					{
						//
					}
					else
					{
						//
					}
				}
			}
		);
		but.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					konwertuj();
				}
			});
		pho.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent evt)
				{
					konwertuj();
					//zapisz_pho();
					//if(!sciezka.getText().equals(""))
						odtwarzanie(new StringBuffer(""));
				}
			});
	}

	public static void main(String args[]) {
		System.out.println("Starting Program...");
		Program mainFrame = new Program();
		mainFrame.setSize(415, 510);
		mainFrame.setTitle("Program");
		mainFrame.setVisible(true);
		//mainFrame.pack();
	}
	public void konwertuj()
	{
	  try
	  {
		FileOutputStream fos = new FileOutputStream(nazwa);
		OutputStreamWriter osw = new OutputStreamWriter(fos);
		BufferedWriter bw = new BufferedWriter(osw);
			
		
		char chr;
		String wyraz = text1.getText();
		text2.setText(null);
		if(wyraz.charAt(wyraz.length()-1)=='.')
			typ_zdania = 0;
		else if(wyraz.charAt(wyraz.length()-1)=='?')
			typ_zdania = 1;
		else
			typ_zdania = 2;
		wyraz = wyraz.substring(0, wyraz.length()-1);
		for(int i = 0;i<wyraz.length();i++)
		{
			chr = wyraz.charAt(i);
			//samogloski
			if(chr == 'a')
			{
				text2.append("a");
				bw.write("a "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'e')
			{
				text2.append("e");
				bw.write("e "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'i')
			{
				System.out.println("i*"+i+" * "+wyraz.charAt(i));
				text2.append("i");
				bw.write("i "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'o')
			{
				text2.append("o");
				bw.write("o "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'u' || chr == '')
			{
				if(i>0 && (wyraz.charAt(i-1)=='a' || wyraz.charAt(i-1)=='e'))
				{
					text2.append("w");
					bw.write("w "+"70"+" 0 "+b1);
					bw.newLine();
				}
				else
				{
					text2.append("u");
					bw.write("u "+"70"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == 'y')
			{
				text2.append("I");
				bw.write("I "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == '')
			{
				text2.append("o~");
				bw.write("o~ "+"120"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == '')
			{
				text2.append("e~");
				bw.write("e~ "+"120"+" 0 "+b1);
				bw.newLine();
			}
			//spolgloski
			else if(chr == 'f')
			{
				text2.append("f");
				bw.write("f~ "+"70"+" 0 "+b1);
				bw.newLine();
			}
		/*	else if(chr == 'c')
			{
				if (i>1 && wyraz.charAt(i-1)=='z')
				{
				text2.append("tS");
				bw.write("tS "+"70"+" 0 "+b1);
				bw.newLine();
				}
			}*/
			else if(chr == 'w')
			{
				if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c'))))||
					(i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o')) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c')))
					       //||()
					       )
					)
				{
					text2.append("f");
					bw.write("f "+"70"+" 0 "+b1);
					bw.newLine();
				}
				else
				{
				//*******************sprawdzic
				System.out.println("i- "+i+"  "+wyraz.charAt(i-1)+" "+wyraz.charAt(i));
					text2.append("v");
					bw.write("v "+"70"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == 'z')
			{
				if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c')))) ||
					((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
					)
				{
					text2.append("s");
					bw.write("s "+"50"+" 0 "+b1);
					bw.newLine();
				}
				else if(i+1<wyraz.length() && wyraz.charAt(i+1)=='i')
				{
					text2.append("s'");
					bw.write("s' "+"70"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				else
				{
					text2.append("z");
					bw.write("z "+"50"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == 's')
			{
				if(i+1<wyraz.length() && wyraz.charAt(i+1)=='z')
				{
					text2.append("S");
					bw.write("S "+"70"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				else if(i+1<wyraz.length() && wyraz.charAt(i+1)=='i')
				{
					text2.append("s'");
					bw.write("s' "+"70"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				
				else
				{
					text2.append("s");
					bw.write("s "+"50"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == '')
			{
				if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c')))) ||
					((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
					)
				{
					text2.append("S");
					bw.write("S "+"70"+" 0 "+b1);
					bw.newLine();
				}
				else
				{
					text2.append("Z");
					bw.write("Z "+"70"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == '')
			{
				text2.append("s'");
				bw.write("s' "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == '')
			{
				if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c')))) ||
					((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
					)
				{
					text2.append("s'");
					bw.write("s' "+"70"+" 0 "+b1);
					bw.newLine();
				}
				else
				{
					text2.append("z'");
					bw.write("z' "+"70"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == 'h')
			{
				text2.append("x");
				bw.write("x "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'p')
			{
				text2.append("p");
				bw.write("p "+"50"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'b')
			{
				if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c')))) ||
					((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
					)
				{
					text2.append("p");
					bw.write("p "+"50"+" 0 "+b1);
					bw.newLine();
				}
				else
				{
					text2.append("b");
					bw.write("b "+"50"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == 't')
			{
				text2.append("t");
				bw.write("t "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'd')
			{
				if(i+1<wyraz.length() && wyraz.charAt(i+1)=='z')
				{
					if(i+2<wyraz.length() && wyraz.charAt(i+2)=='i')
					{
						if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
						   (i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c'))))||
					       ((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
						(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
						(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
						)
						{
							text2.append("ts'");
							bw.write("ts' "+"70"+" 0 "+b1);
							bw.newLine();
						}
						else
						{
							text2.append("dz'");
							bw.write("dz' "+"70"+" 0 "+b1);
							bw.newLine();
						}
						i++;
					}
					else
					{
						if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
						   (i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c'))))||
					       ((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
							(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 	wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 	wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 	wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 	wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
							(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
						)
						{
							text2.append("c");
							bw.write("c "+"70"+" 0 "+b1);
							bw.newLine();
						}
						else
						{
							text2.append("dz");
							bw.write("dz "+"70"+" 0 "+b1);
							bw.newLine();
						}
					}
					i++;
				}
				else if(i+1<wyraz.length() && wyraz.charAt(i+1)=='')
				{
					if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c'))))||
					((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
					)
					{
						text2.append("Z");
						bw.write("Z "+"70"+" 0 "+b1);
						bw.newLine();
					}
					else
					{
						text2.append("dZ");
						bw.write("dZ "+"70"+" 0 "+b1);
						bw.newLine();
					}
					i++;
				}
				else if(i+1<wyraz.length() && wyraz.charAt(i+1)=='')
				{
					//
					if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c'))))||
					((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
					)
					{
						text2.append("ts'");
						bw.write("ts' "+"70"+" 0 "+b1);
						bw.newLine();
					}
					else
					{
						text2.append("dz'");
						bw.write("dz' "+"70"+" 0 "+b1);
						bw.newLine();
					}
					i++;
				}
				else
				{
					if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c'))))||
					((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
					)
					{
						text2.append("t");
						bw.write("t "+"50"+" 0 "+b1);
						bw.newLine();
					}
					else
					{
						text2.append("d");
						bw.write("d "+"50"+" 0 "+b1);
						bw.newLine();
					}
				}
			}
			else if(chr == 'k')
			{
				text2.append("k");
				bw.write("k "+"50"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'g')
			{
				if((i>0 && (wyraz.charAt(i-1)=='t' || wyraz.charAt(i-1)=='k' ||
						   wyraz.charAt(i-1)=='p' || wyraz.charAt(i-1)=='f' ||
						   wyraz.charAt(i-1)=='s' || wyraz.charAt(i-1)=='c' ||
						   wyraz.charAt(i-1)=='h' || wyraz.charAt(i-1)=='' ||
						   wyraz.charAt(i-1)==''))||
					(i>1 && ((wyraz.charAt(i-1)=='h' && wyraz.charAt(i-2)=='c') ||
					       (wyraz.charAt(i-1)=='z' && 
					       (wyraz.charAt(i-2)=='s' || wyraz.charAt(i-1)=='c')))) ||
					((i==wyraz.length()-1 && (wyraz.charAt(i-1)=='e' ||
					        wyraz.charAt(i-1)=='u' || wyraz.charAt(i-1)=='' ||
					        wyraz.charAt(i-1)=='i' || wyraz.charAt(i-1)=='a' ||
					        wyraz.charAt(i-1)=='o'))) ||
					(i+1<wyraz.length() && (wyraz.charAt(i+1)=='t' ||
						 wyraz.charAt(i+1)=='k' || wyraz.charAt(i+1)=='p' ||
						 wyraz.charAt(i+1)=='f' || wyraz.charAt(i+1)=='s' || 
						 wyraz.charAt(i+1)=='c' || wyraz.charAt(i+1)=='h' || 
						 wyraz.charAt(i+1)=='' || wyraz.charAt(i+1)==''))||
					(i+2<wyraz.length() && ((wyraz.charAt(i+1)=='h' && wyraz.charAt(i+2)=='c') ||
					       (wyraz.charAt(i+1)=='z' && 
					       (wyraz.charAt(i+2)=='s' || wyraz.charAt(i+1)=='c'))))
					)
				{
					text2.append("k");
					bw.write("k "+"50"+" 0 "+b1);
					bw.newLine();
				}
				else
				{
					text2.append("g");
					bw.write("g "+"50"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == 'c')
			{
				System.out.println("i+"+i+" + "+wyraz.charAt(i));
				if(i+1<wyraz.length() && wyraz.charAt(i+1)=='z')
				{
					text2.append("tS");
					bw.write("tS "+"70"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				else if(i+1<wyraz.length() && wyraz.charAt(i+1)=='i')
				{
					System.out.println("i="+i+" = "+wyraz.charAt(i));
					text2.append("ts'");
					bw.write("ts' "+"70"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				else if(i+1<wyraz.length() && wyraz.charAt(i+1)=='h')
				{
					text2.append("x");
					bw.write("x "+"70"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				else
				{
					System.out.println("i-"+i+" - "+wyraz.charAt(i));
					text2.append("ts");
					bw.write("ts "+"70"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == '')
			{
				text2.append("ts'");
				bw.write("ts' "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'm')
			{
				text2.append("m");
				bw.write("m "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'n')
			{
				if(i+1<wyraz.length() && wyraz.charAt(i+1)=='k')
				{
					text2.append("N");
					bw.write("N "+"120"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				else if(i+1<wyraz.length() && wyraz.charAt(i+1)=='i')
				{
					text2.append("n'");
					bw.write("n' "+"120"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				else
				{
					text2.append("n");
					bw.write("n "+"120"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == '')
			{
				text2.append("n'");
				bw.write("n' "+"120"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == '')
			{
				text2.append("w");
				bw.write("w "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'j')
			{
				text2.append("j");
				bw.write("j "+"70"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'l')
			{
				text2.append("l");
				bw.write("l "+"50"+" 0 "+b1);
				bw.newLine();
			}
			else if(chr == 'r')
			{
				if(i+1<wyraz.length() && wyraz.charAt(i+1)=='z')
				{
					text2.append("Z");
					bw.write("Z "+"70"+" 0 "+b1);
					bw.newLine();
					i++;
				}
				else
				{
					text2.append("r");
					bw.write("r "+"70"+" 0 "+b1);
					bw.newLine();
				}
			}
			else if(chr == ' ')
			{
				text2.append(" ");
				a1 = 110;
				b1 = 280;
			}
			else if(chr == '\n')
				text2.append("\n");
			else if(chr == '.')
			{
				text2.append(".");
				bw.write("_ 100");
				bw.newLine();
			}
			else if(chr == '?')
			{
				text2.append("? ");
				bw.write("_ 100");
				bw.newLine();
			}
			else if(chr == '!')
			{
				text2.append("!");
				bw.write("_ 100");
				bw.newLine();
			}
			else
				//text2.append(""+chr);
				continue;
		}
		bw.close();
		osw.close();
		fos.close();
	  }
	  catch(IOException e){e.printStackTrace();}
	}
	
	public void odtwarzanie(StringBuffer sc)
	{
		//String s = "";
		try
		{
			Runtime runtime = Runtime.getRuntime();
			//Process proces = runtime.exec("E:\\wojciech\\WojtekPFA\\mbrola\\mbroli.exe "+nazwa);
			/*
			for(int i = 0;i<sc.length();i++)
			{
				if(sc.charAt(i) == '\\')
				{
					sc.setCharAt(i, '/');
				}
				
			}
			*/
			System.out.println(nazwa);
			Process proces = runtime.exec("phoplayer.exe database=pl1 vol=1.5"+" "+nazwa);
			System.out.println("!!!!");
			
		}
		catch(IOException e){e.printStackTrace();}
	}
	
}
class Filter
extends javax.swing.filechooser.FileFilter
{
	//filtr do wyswietlania plikow i katalogow
 	String title, ext;
 	public Filter(String tytul, String ext1)
 	{
 		title = tytul;
 		ext = ext1;
 	}
 	
 	public boolean accept(File file)
 	{
 		boolean acc = file.isDirectory();
 		if(!acc)
 		{
 			String str = getExtension(file);
 			if(str!=null)
 			{
 				acc = str.equals(ext);
 				
 			}
 			
 		}
 		return acc;
 	}
 	public String getDescription()
 	{
 		return title+"(*."+ext+')';
 	}
 	public String getExtension(File file)
 	{
 		String str = file.getPath(),
 				e = null;
 		int i = str.lastIndexOf('.');
 		
 		if(i > 0 && i < str.length()-1)
 		{
 			e =  str.substring(i+1).toLowerCase();
 		}
 			return e;
 		
 	}
}